<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_3</title>
</head>
<body>
    <h1>Ejercicio 3</h1>
    <script>
        //Incompleto
    /*3) Programa una función que dada una String te devuelva un Array de textos 
    separados por cierto caracter, pe. miFuncion('hola que tal', ' ') devolverá 
    ['hola', 'que', 'tal'].*/

    const separarCaract = (cadena = "", caracter = undefined) => 
    (!cadena)
           ? console.warm("No se ingreso una cadena de texto")
           :(caracter === undefined)
              ? console.warn("No se ingreso el caracter a separar")
              :console.log(`Texto Separado: ${cadena.split(caracter)}`);

    separarCaract("Hola Mundo Jajajaja", ".")

    </script>
    
</body>
</html>